/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------

	0. 	CSS Reset
	1. 	Variables
	2.	Typography
	3. 	Layout Base
	4. 	UI + Graphic Elements
	5. 	Site Header
	6. 	Menu Modal
	7. 	Page Header
	8.  Grid Model
    9.  Media
	10.	Templates
	11. Entry Content
	12. Meta + Utility
	13. Site Footer
    14. Transitions
	15. Accessibility

-------------------------------------------------------------- */

/* --------------------------------------------------------------
= 0. CSS Reset
-------------------------------------------------------------- */

html,
body {
	border: none;
	margin: 0;
	padding: 0;
}
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
address,
big,
cite,
code,
em,
font,
img,
small,
strike,
sub,
sup,
li,
ol,
ul,
dl,
dt,
dd,
fieldset,
form,
label,
legend,
button,
table,
caption,
tr,
th,
td {
	border: none;
	font-size: inherit;
	line-height: inherit;
	margin: 0;
	padding: 0;
	text-align: inherit;
}

blockquote::before,
blockquote::after {
	content: "";
}
article, aside, details, figcaption, figure, 
footer, header, hgroup, main, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul, menu {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote::before, blockquote::after,
q::before, q::after {
	content: '';
	content: none;
}
html {
	box-sizing: border-box;
}
*, *::before, *::after {
	box-sizing: inherit;
}
* {
	-webkit-tap-highlight-color: transparent !important;
}

/* --------------------------------------------------------------
= 1. Variables
-------------------------------------------------------------- */

:root {
	--ynk--color--primary: #000000;
	--ynk--color--secondary: #576B6C;
	--ynk--color--tertiary: #eeeeee; 
    --ynk--color--hover: #d91e18;
    --ynk--color-caption: #ffffff;
	--ynk--color--background: #ffffff;
    --ynk--static-opacity: 0.6;
	--ynk--header: 3.75rem;
    --ynk--footer: 3.75rem;
	--ynk--gutter: 0.625rem;
    --ynk--gap: 1.25rem;
	--ynk--margin: 0.625rem;
	--ynk--section--gap: 4.625rem;
	--ynk--block--gap: 1.5em;
    --ynk--radius: 3px;
    --ynk--static: url("/wp-content/themes/yannnovak/assets/img/noise.png");
	--ynk--glow: 0px 0px 12px 0px rgba(27, 27, 28, 0.3);
    --ynk--gradient: radial-gradient(10% 100% at 15% -50%, rgba(172,255,157, 0.8), rgba(255, 255, 255, 0.0) 100%), 
				     radial-gradient(15% 100% at 80% 150%, rgba(147,143,97, 0.8), rgba(255, 255, 255, 0.0) 100%), 
				     linear-gradient(97deg, rgba(157,187,222, 0.8) 0%, rgba(174,151,196, 0.8) 25%, rgba(250,176,132, 0.8) 50%, rgba(244,153,166, 0.8) 75%, rgba(242,149,120, 0.8) 100%);
    --ynk--polygon: polygon( 2px 0, calc(100% - 2px) 0, 100% 2px, 100% calc(100% - 2px), calc(100% - 2px) 100%, 2px 100%, 0 calc(100% - 2px), 0 2px );
    --ynk--polygon--start: polygon( 10px 0, calc(100% - 2px) 0, 100% 2px, 100% calc(100% - 2px), calc(100% - 2px) 100%, 2px 100%, 0 calc(100% - 2px), 0 10px );
    --ynk--polygon--end: polygon( 2px 0, calc(100% - 2px) 0, 100% 2px, 100% calc(100% - 10px), calc(100% - 10px) 100%, 2px 100%, 0 calc(100% - 2px), 0 2px );
}
@media all and (min-width: 48rem) {
    :root {
        --ynk--polygon: polygon( 2px 0, calc(100% - 2px) 0, 100% 2px, 100% calc(100% - 2px), calc(100% - 2px) 100%, 2px 100%, 0 calc(100% - 2px), 0 2px );
        --ynk--polygon--start: polygon( 30px 0, calc(100% - 2px) 0, 100% 2px, 100% calc(100% - 2px), calc(100% - 2px) 100%, 2px 100%, 0 calc(100% - 2px), 0 30px );
        --ynk--polygon--end: polygon( 2px 0, calc(100% - 2px) 0, 100% 2px, 100% calc(100% - 30px), calc(100% - 30px) 100%, 2px 100%, 0 calc(100% - 2px), 0 2px );
    }
}
@media (prefers-color-scheme: dark) {
    :root {
        --ynk--color--primary: #ffffff;
        --ynk--color--secondary: #95a5a6;
        --ynk--color--hover: #f22613;
        --ynk--color--background: #1b1b1c;
        --ynk--static: url("/wp-content/themes/yannnovak/assets/img/noise-i.png");
		--ynk--glow: 0px 0px 12px 0px rgba(238, 238, 238, 0.7);
        --ynk--gradient: radial-gradient(10% 100% at 15% -50%, rgba(29,44,27, 0.8), rgba(0, 0, 0, 0.0) 100%), 
				         radial-gradient(15% 100% at 80% 150%, rgba(147,143,97, 0.8), rgba(0, 0, 0, 0.0) 100%), 
				         linear-gradient(97deg, rgba(8,38,74, 0.8) 0%, rgba(54,19,88, 0.8) 25%, rgba(122,47,3, 0.8) 50%, rgba(114,14,29, 0.8) 75%, rgba(112,31,5, 0.8) 100%);
    }
}

/* --------------------------------------------------------------
= 2. Typography
-------------------------------------------------------------- */

@font-face {
    font-family: 'Barlow';
    src: url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-Regular.woff2') format('woff2'),
         url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-Regular.woff') format('woff');
    font-weight: 400;
    font-display: swap;
    font-style: normal;
	unicode-range: U+0000-218F, U+2194-2513, U+2519-10FFFF;
}
@font-face {
    font-family: 'Barlow';
    src: url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-Italic.woff2') format('woff2'),
         url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-Italic.woff') format('woff');
    font-weight: 400;
    font-display: swap;
    font-style: italic;
	unicode-range: U+0000-218F, U+2194-2513, U+2519-10FFFF;
}
@font-face {
    font-family: 'Barlow';
    src: url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-Medium.woff2') format('woff2'),
         url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-Medium.woff') format('woff');
    font-weight: 500;
    font-display: swap;
    font-style: normal;
	unicode-range: U+0000-218F, U+2194-2513, U+2519-10FFFF;
}
@font-face {
    font-family: 'Barlow';
    src: url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-MediumItalic.woff2') format('woff2'),
         url('/wp-content/themes/yannnovak/assets/fonts/barlow/Barlow-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-display: swap;
    font-style: italic;
	unicode-range: U+0000-218F, U+2194-2513, U+2519-10FFFF;
}
@font-face {
	font-family: 'SpaceGrotesk';
	src: url('/wp-content/themes/yannnovak/assets/fonts/space/SpaceGrotesk.woff2') format('woff2'),
		 url('/wp-content/themes/yannnovak/assets/fonts/space/SpaceGrotesk.woff') format('woff');
	font-weight: 300 700;
	font-display: swap;
	font-style: normal;
	unicode-range: U+2190-2193, U+2514-2518;
}
body {
    background-color: var(--ynk--color--background);
    color: var(--ynk--color--primary);
    font-family: sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    letter-spacing: 0.05em;
    -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	text-rendering: optimizeLegibility;
}
.fonts--loaded body {
    font-family: 'Barlow', 'SpaceGrotesk', sans-serif;
}
i, em {
    font-style: italic;
}
b, strong,
#site-title,
h2, h3, h4, h5, h6 {
    font-weight: 500; /* was 700 */
}
::selection {
	color: var(--ynk--color--primary);
	background-color: var(--ynk--color--tertiary);
}

/* --------------------------------------------------------------
= 3. Layout Base
-------------------------------------------------------------- */

html {
	overscroll-behavior: none;
}
main {
    min-height: calc(100vh - var(--ynk--footer));
	padding-block-start: 9.375rem;
    /* position: relative;
    z-index: 1; */
}
.inner {
	margin-block: 0;
	margin-inline: auto;
	padding-inline: var(--ynk--margin);
	max-width: 1640px;
}
.pad {
	padding-block: 0;
	padding-inline: var(--ynk--margin);
}
.show-48 {
    display: none;
}
@media all and (min-width: 48rem) {
    main {
		padding-block-start: 12.5rem;
	}
    .single main {
		padding-block-start: 8.75rem;
	}
    .hide-48 {
        display: none !important;
    }
    .show-48 {
        display: block;
    }
    .offset-48 {
		margin-left: 25%;
	}
    .col-1-48 {
		width: 25%;
	}
	.col-2-48 {
		width: 50%;
	}
	.col-3-48 {
		width: 75%;
	}
    .flx {
		display: flex; 
		flex-wrap: wrap;
	}
	.flx-1 {
        order: 1;
	}
	.flx-2 {
        order: 2;
	}
	.flx-3 {
        order: 3;
	}
    .page .sticky-48,
    .single .sticky-48 {
        position: sticky;
        inset-block-start: var(--ynk--header);
    }
}
@media all and (min-width: 64rem) {
    .offset-64 {
		margin-inline-start: 25%;
	}
    .col-3-48,
    .col-2-64 {
        width: 50%;
    }
    .single .sticky-64 {
        position: sticky;
        inset-block-start: var(--ynk--header);
    }
}

/* --------------------------------------------------------------
= 4. UI + Graphic Elements
-------------------------------------------------------------- */

html {
    background-color: var(--ynk--color--background);
}

/* Static ---------------------------------------------------- */

body::before {
    background-image: var(--ynk--static);
    content: "";
    height: calc(100% + 20rem);
    opacity: var(--ynk--static-opacity);
    position: fixed;
		inset-block-start: -10rem;
        inset-inline-start: -10rem;
    pointer-events: none;
    width: calc(100% + 20rem);
    z-index: 9999;
    animation: noise 1s steps(2) infinite;
}
@keyframes noise {
    0%  { transform:translate3d(0, 9rem, 0) }
    10% { transform:translate3d(-1rem, -4rem, 0) }
    20% { transform:translate3d(-8rem, 2rem, 0) }
    30% { transform:translate3d(9rem, -9rem, 0) }
    40% { transform:translate3d(-2rem, 7rem, 0) }
    50% { transform:translate3d(-9rem, -4rem, 0) }
    60% { transform:translate3d(2rem, 6rem, 0) }
    70% { transform:translate3d(7rem, -8rem, 0) }
    80% { transform:translate3d(-9rem, 1rem, 0) }
    90% { transform:translate3d(6rem, -5rem, 0) }
    to  { transform:translate3d(-7rem, 0, 0) }
}

/* Circle ---------------------------------------------------- */

/*
body::after {
    aspect-ratio: 1 / 1;
    border: 1px solid var(--ynk--color--primary);
    border-radius: 50%;
    content: '';
    display: block;
    inset-block-start: 50%;
    inset-inline-start: 50%;
    margin: 0 auto;
    max-height: calc(100dvh - var(--ynk--header) - var(--ynk--footer));
    max-width: calc(100vw - 4 * var(--ynk--margin));
	position: fixed;
    transform: translateY(-50%) translateX(-50%);
	width: 100%;
    z-index: 0;
}
body::after {
	animation: pulse 10s infinite;
	background: transparent;
}
@keyframes pulse {
    0%, 100% { opacity: 0.01; }
    50%      { opacity: 0.05; }
}
*/

/* --------------------------------------------------------------
= 5. Site Header
-------------------------------------------------------------- */

#site-header {
	height: var(--ynk--header);
	line-height: 1.5rem;
    padding-block-start: 1.125rem;
    padding-block-end: 1.125rem;
	position: fixed;
        inset-block-start: 0;
        inset-inline-start: 0;
	width: 100%;
	white-space: nowrap;
	z-index: 2000;
}
#site-header .inner {
    display: flex;
}
#site-title,
#menu-btn {
	width: 50%;
}
#site-title {
	line-height: 1.5rem;
}
#site-title a,
#page-title a {
    color: var(--ynk--color--primary);
    text-decoration: none;
    transition: color 300ms ease;
}
#site-title a:hover,
#page-title a:hover {
    color: var(--ynk--color--hover);
}
#desktop-ui {
	display: none;
	height: 1.5rem;
}
#menu-btn {
	height: 1.5rem;
	overflow: hidden;
    text-align: right;
}
#menu-btn button {
	background-color: transparent;
	border: none;
	color: var(--ynk--color--primary);
	clear: both;
    cursor: pointer;
	display: block;
	float: right;
    font-weight: 400;
	line-height: 1.5rem;
	height: 1.5rem;
	margin: 0;
	padding: 0;
	position: relative;
	transition: color 300ms ease;
}
#menu-btn button:hover {
	color: var(--ynk--color--hover);
}
#menu-btn button span {
    display: block;
    transition: margin-block-start 300ms ease;
}
#menu-btn button span:first-child {
	margin-block-start: -1.5rem;
}
.menu--active #menu-btn button span:first-child {
	margin-block-start: 0;
}
#menu-btn button:active,
#menu-btn button:focus {
	outline: none;
}
@media all and (min-width: 48rem) {
	#site-title,
	#menu-btn {
		width: 25%;
	}
    #page-title,
	#page-description,
    #desktop-ui {
		display: block;
        width: 50%
	}
	#menu-btn button:after {
		inset-block-end: 0.3em;
	}
    #desktop-ui,
	.news-sub-title {
		display: inline-block;
		line-height: 1.5rem;
		height: 1.5rem;
		overflow: hidden;
	}
    #desktop-ui > div:last-child {
        display: flex;
    }
    #desktop-ui > div {
        transition: all 300ms ease;
	}
	.news-sub-title span {
		display: block;
        transition: all 300ms ease;
	}
	#desktop-ui > div:first-child,
    .news--recent .news-sub-title span:first-child {
		margin-block-start: -1.5rem;   
	}
	.menu--active #desktop-ui > div:first-child,
	.news-sub-title span:first-child {
		margin-block-start: 0;
	}
}

/* --------------------------------------------------------------
= 6. Menu Modal
-------------------------------------------------------------- */

#site-menu {
    background-color: var(--ynk--color--background);
    box-shadow: 0 0 20px rgba(0,0,0,0.25);
    height: 100dvh;
    max-height: 0;
    overflow: hidden;
    position: fixed;
        inset-block-start: 0px;
        inset-inline-start: 0px;
    width: 100%;
    z-index: 1500;
    transition: max-height 500ms ease;
}
@supports (-webkit-touch-callout: none) {
    #site-menu {
        height: -webkit-fill-available;
    }
}
.menu--active #site-menu {
    max-height: 100vh;
}
#site-menu .inner {
    padding-block-start: var(--ynk--header);
}
#site-menu menu {
    line-height: 1.5em;
    margin: 0;
}
#site-menu menu a {
    color: var(--ynk--color--primary);
    text-decoration: none;
    transition: color 300ms ease
}
#site-menu menu a:hover {
    color: var(--ynk--color--hover);
}
#site-menu menu.work {
    counter-reset: item-work;
}
#site-menu menu.work li {
    counter-increment: item-work;
}
#site-menu menu.work li::before {
    content: counter(item-work, decimal-leading-zero) " - ";
}
#site-menu menu.about {
    counter-reset: item-about 5;
}
#site-menu menu.about li {
    counter-increment: item-about;
}
#site-menu menu.about li::before {
    content: counter(item-about, decimal-leading-zero) " - ";
}
#site-menu menu.social {
    counter-reset: alpha;
}
#site-menu menu.social li {
    counter-increment: alpha;
}
#site-menu menu.social li::before {
    content: counter(alpha, upper-alpha) " - ";
}
#site-menu menu.social a:after {
    content: '↑';
    display: inline-block;
    line-height: 1em;
	padding-block: 0 1px;
    padding-inline: 4px 0;
    transform: rotate(45deg);
}
#site-menu menu.social {
    position: absolute;
    inset-block-end: 0.875rem;
}
@media all and (min-width: 48rem) {
    .menu--active #site-menu {
        max-height: 18.75rem;
    }
    #site-menu .inner {
        display: flex;
    }
    #site-menu menu {
        width: 25%;
    }
    #site-menu menu.work {
        margin-inline-start: 25%;
    }
    #site-menu menu.social {
        position: relative;
        inset-block-end: auto;
    }
}

/* Animation ------------------------------------------------- */

#site-menu menu li {
	opacity: 0;
}
.menu--active #site-menu menu li {
	animation-name: fadeInDown;
	animation-duration: 1s;
	animation-fill-mode: forwards;
}
.menu--active #site-menu menu.work li:first-child    { animation-delay: 50ms  }
.menu--active #site-menu menu.work li:nth-child(2)   { animation-delay: 100ms }
.menu--active #site-menu menu.work li:nth-child(3)   { animation-delay: 150ms }
.menu--active #site-menu menu.work li:nth-child(4)   { animation-delay: 200ms }
.menu--active #site-menu menu.work li:nth-child(5)   { animation-delay: 350ms }
.menu--active #site-menu menu.about li:first-child   { animation-delay: 400ms }
.menu--active #site-menu menu.about li:nth-child(2)  { animation-delay: 450ms }
.menu--active #site-menu menu.about li:nth-child(3)  { animation-delay: 500ms }
.menu--active #site-menu menu.about li:nth-child(4)  { animation-delay: 550ms }
.menu--active #site-menu menu.about li:nth-child(5)  { animation-delay: 600ms }
.menu--active #site-menu menu.social li:first-child  { animation-delay: 750ms }
.menu--active #site-menu menu.social li:nth-child(2) { animation-delay: 800ms }
.menu--active #site-menu menu.social li:nth-child(3) { animation-delay: 850ms }
.menu--active #site-menu menu.social li:nth-child(4) { animation-delay: 900ms }
.menu--active #site-menu menu.social li:nth-child(5) { animation-delay: 950ms }
.menu--active #site-menu menu.social li:nth-child(6) { animation-delay: 1000ms }
.menu--active #site-menu menu.social li:nth-child(7) { animation-delay: 1050ms }
.menu--active #site-menu menu.social li:nth-child(8) { animation-delay: 1100ms }

@media all and (min-width: 48rem) {
	.menu--active #site-menu menu.work li:first-child    { animation-delay: 100ms }
	.menu--active #site-menu menu.work li:nth-child(2),
	.menu--active #site-menu menu.about li:first-child   { animation-delay: 150ms }
	.menu--active #site-menu menu.work li:nth-child(3),
	.menu--active #site-menu menu.about li:nth-child(2),
	.menu--active #site-menu menu.social li:first-child  { animation-delay: 200ms }
	.menu--active #site-menu menu.work li:nth-child(4),
	.menu--active #site-menu menu.about li:nth-child(3),
	.menu--active #site-menu menu.social li:nth-child(2) { animation-delay: 250ms }
    .menu--active #site-menu menu.work li:nth-child(5),
	.menu--active #site-menu menu.about li:nth-child(4),
	.menu--active #site-menu menu.social li:nth-child(3) { animation-delay: 300ms }
	.menu--active #site-menu menu.about li:nth-child(5),
	.menu--active #site-menu menu.social li:nth-child(4) { animation-delay: 350ms }
	.menu--active #site-menu menu.social li:nth-child(5) { animation-delay: 400ms }
	.menu--active #site-menu menu.social li:nth-child(6) { animation-delay: 450ms }
	.menu--active #site-menu menu.social li:nth-child(7) { animation-delay: 500ms }
	.menu--active #site-menu menu.social li:nth-child(8) { animation-delay: 550ms }
}
@keyframes fadeInDown {
	from {
    	opacity: 0;
    	transform: translate3d(0, -20%, 0);
	}
	to {
  		opacity: 1;
  		transform: none;
	}
}

/* Overlay --------------------------------------------------- */

#menu-overlay {
	background: var(--ynk--gradient);
    opacity: 0;
    pointer-events: none;
	position: fixed;
        inset: 0px;
	z-index: 1000;
	transition: opacity 500ms ease;
	background-size: 400% 100%;
    animation: gradient 120s ease infinite;
}
.menu--active #menu-overlay {
    -webkit-backdrop-filter: blur(5px);
            backdrop-filter: blur(5px);
    opacity: 1;
    pointer-events: auto;
}
@keyframes gradient { 
    0%   { background-position: 100% 50% }
    50%  { background-position: 0% 50%   }
    100% { background-position: 100% 50% }
}

/* --------------------------------------------------------------
= 7. Page Header
-------------------------------------------------------------- */

#page-header {
    line-height: 1.5em;
    margin-block-end: 1rem;
}
.page-date {
    color: var(--ynk--color--secondary);
}

/* Page Entry ------------------------------------------------ */

#entry-header {
    line-height: 1.5em;
    margin-block-end: 0.75rem;
}
.entry--type {
    color: var(--ynk--color--secondary);
}
.entry-header--inner {
    display: flex;
}
.entry-title {
    flex-grow: 1;
    font-weight: 400;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.entry--date {
    text-align: right;
}
@media all and (min-width: 48rem) {
    #entry-header {
        margin-inline: 25%;
        width: 50%;
    }
}

/* Tax Entry ------------------------------------------------- */

.tax-header {
    line-height: 1.5em;
    margin-block-end: 0.75rem;
}
.tax-sub-title {
    line-height: 1.5em;
    margin-block-end: var(--ynk--section--gap);
}

/* Page Header: Filter --------------------------------------- */

.filter-container {
    padding-block: 0;
	padding-inline: var(--ynk--margin);
    max-width: 1620px;
}
.filter {
    line-height: 1.5em;
	margin-block-end: 0.75rem;
	position: relative;
}
.filter .filter-title,
.filter .cat {
	background-color: transparent;
	border: none;
	display: inline-block;
	outline: none;
}
.filter .filter-title {
    color: var(--ynk--color--primary);
	margin-inline-end: var(--ynk--margin);
}
.filter .cat  {
    color: var(--ynk--color--secondary);
	cursor: pointer;
	font-weight: 400;
	margin-inline-end: var(--ynk--margin);
	position: relative;
}
.filter .cat:hover,
.filter .cat:active,
.filter .cat:focus,
.filter .cat.active,
.filter .cat.mixitup-control-active {
	color: var(--ynk--color--primary);
}
@media all and (min-width: 48rem) {
	.filter {
		background-color: transparent;
		margin: 0;
		position: fixed;
            inset-inline-start: var(--ynk--margin);
            inset-block-start: 159px;
		width: calc(100% - var(--ynk--margin) * 2);
	}
}
@media all and (min-width: 1680px) {
	.filter {
		inset-inline-start: 50%;
		margin-inline-start: -810px;
		width: 1620px;
	}
	.filter-container {
		padding-inline: 0 var(--ynk--margin); 
		padding-block: 0;
	}
}

/* --------------------------------------------------------------
= 8. Grid Model
-------------------------------------------------------------- */

.grid {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: flex-start;
	column-gap: 0;
}
.grid:after {
	display: block;
	content: '';
	flex: 999 999 auto;
}
.grid.has-filtering > .card {
    display: none;
}
.grid.has-filtering > .card.is-visible {
    display: block;
}
@media all and (min-width: 48rem) {
	.grid .card {
		width: 50%;
	}
    .grid.three-plus-three .card:nth-child(3n+3) {
		width: 100%;
	}
	.grid.three-plus-one .card:nth-child(3n+1) {
		width: 100%;
	}
}
@media all and (min-width: 64rem) {
	.grid.col-4 .card {
		width: 25%;
	}
}

/* Grid: Card ------------------------------------------------ */

.card {
    line-height: 1.5em;
    margin-block-end: var(--ynk--section--gap);
    width: 100%;
}
.card a {
    color: var(--ynk--color--primary);
    display: block;
    position: relative;
    text-decoration: none;
}
.card a figure {
    margin-block-end: 0.75rem;
	position: relative;
}
.card a figure img {
    display: block;
    height: auto;        
    width: 100%;
}
.card a figure.cover {
    aspect-ratio: 16 / 9;
	background-color: var(--ynk--color--tertiary);
	box-shadow: none;
    clip-path: var(--ynk--polygon);
    height: auto;
    width: 100%;
	transition: box-shadow 500ms ease;
    z-index: 1;
}
.card a div.glow {
    aspect-ratio: 16 / 9;
	background-color: var(--ynk--color--tertiary);
    border-radius: 3px;
    box-shadow: var(--ynk--glow);
	inset-block-start: 0;
    inset-inline-start: 0;
	opacity: 0;
	position: absolute;
	transition: opacity 500ms ease;
    width: 100%;
}
.card.is-start a figure.cover,
.is-static .card:first-child a figure.cover,
.col-4.upcoming .card:nth-child(2) a figure.cover {
    clip-path: var(--ynk--polygon--start);
}
.card.is-end a figure.cover,
.is-static .card:last-child:nth-child(even) a figure.cover,
.col-4.upcoming .card:nth-child(2) a figure.cover {
    clip-path: var(--ynk--polygon--end);
}
.card.is-start a div.glow,
.is-static .card:first-child a div.glow,
.col-4.upcoming .card:nth-child(2) a div.glow {
    border-radius: 52px 3px 3px 3px;
}
.card.is-end a div.glow,
.is-static .card:last-child:nth-child(even) a div.glow,
.col-4.upcoming .card:nth-child(2) a div.glow {
    border-radius: 3px 3px 52px 3px;
}
.card a:hover div.glow,
.card a:focus div.glow {
    opacity: 1;
}
.card a:hover figure.cover,
.card a:focus figure.cover {
	box-shadow: var(--ynk--glow);
}
.card a figure.cover img {
	box-shadow: 0px 5px 25px 0px rgba(34, 34, 34, 0.25);
	margin: 3.5% auto 0;
    max-height: 87%;
	max-width: 100%;
	position: absolute;
    inset: 0;
    width: auto;
}
.card a figure.cover img,
.card a figure.thumbnail img.grayscale {
    transition: all 500ms ease;
    filter: grayscale(100%);
}
.card a:hover figure.cover img,
.card a:focus figure.cover img,
.card a:hover figure.thumbnail img.grayscale,
.card a:focus figure.thumbnail img.grayscale {
    filter: grayscale(0%);
}
.card a figure.thumbnail img.grayscale {
    clip-path: var(--ynk--polygon);
	z-index: 1;
}
.card.is-start a figure.thumbnail img.grayscale,
.is-static .card:first-child a figure.thumbnail img.grayscale,
.col-4.upcoming .card:nth-child(2) a figure.thumbnail img.grayscale {
    clip-path: var(--ynk--polygon--start);
}
.card.is-end a figure.thumbnail img.grayscale,
.is-static .card:last-child:nth-child(even) a figure.thumbnail img.grayscale {
    clip-path: var(--ynk--polygon--end);
}
.card a figure.thumbnail img.glow {
    border-radius: 3px;
	filter: blur(8px);
	inset: 0;
	opacity: 0;
	position: absolute;
	transition: opacity 500ms ease;
	z-index: 0;
	-webkit-backface-visibility: hidden;
	        backface-visibility: hidden;
	-webkit-transform: translate3d(0, 0, 0);
	        transform: translate3d(0, 0, 0);
}
.card.is-start a figure.thumbnail img.glow,
.is-static .card:first-child a figure.thumbnail img.glow,
.col-4.upcoming .card:nth-child(2) a figure.thumbnail img.glow {
    border-radius: 50px 3px 3px 3px;
}
.card.is-end a figure.thumbnail img.glow,
.is-static .card:last-child:nth-child(even) a figure.thumbnail img.glow {
    border-radius: 3px 3px 50px 3px;
}
.card a:hover figure.thumbnail img.glow,
.card a:focus figure.thumbnail img.glow {
	opacity: 0.7;
}
.card.category-disc a figure.cover img {
    border-radius: 50%;
}
.card--header {
    display: flex;
}
.card--title {
    flex-grow: 1;
    font-weight: 400;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.card--date {
    text-align: right;
}
.card--type {
    color: var(--ynk--color--secondary)
}

/* Grid: News ------------------------------------------------ */

.intro--card {
    line-height: 1.5em;
    margin-block-end: 1.25rem;
    width: 100%;
}
.intro--card a {
    color: var(--ynk--color--primary);
    text-decoration: underline;
	text-underline-offset: 0.125em;
    transition: color 300ms ease;
}
.intro--card a:hover {
    color: var(--ynk--color--hover)
}

.card.category-outline a figure.thumbnail img {
    border: 1px solid var(--ynk--color--tertiary);
}
@media all and (min-width: 64rem) {
    .intro--card {
        width: 50%;
    }
}
@media all and (min-width: 80rem) {
    .intro--card {
        width: 25%;
    }
    .intro--card.margin {
        margin-right: 25%;
    }
}

/* --------------------------------------------------------------
= 9. Media
-------------------------------------------------------------- */

.featured-media-container > * {
    margin-block-end: var(--ynk--gap) !important;
    width: 100%;
}
.featured-media-container figure.news-thumbnail {
    margin-block-end: 0.75rem !important;
}
.featured-media-container figure:not(.cover-container) img {
    clip-path: var(--ynk--polygon);
	display: block;
	margin: 0;
	height: auto;
	width: 100%;
}
.featured-media-container figure:not(.cover-container):first-child img,
.featured-media-container figure:not(.cover-container):only-child img {
    clip-path: var(--ynk--polygon--start)!important;
}
.featured-media-container figure:not(.cover-container):last-child img {
    clip-path: var(--ynk--polygon--end);
}
.category-outline .featured-media-container figure:not(.cover-container) img {
    border: 1px solid var(--ynk--color--tertiary);
}
.bandcamp-container {
    margin-block-end: var(--ynk--block--gap);
    padding-block-start: var(--ynk--block--gap);
}
.bandcamp-container iframe {
	display: block;
}
figure {
    position: relative;
}
.fig-id,
figcaption {
    display: none;
}
@media all and (min-width: 48rem) {
    .featured-media-container > *:last-child {
        margin-block-end: 3rem !important;
    }
    .featured-media-container figure.news-thumbnail {
        margin-bottom: 0 !important;
    }
	.featured-media-container figure.half {
		width: calc(50% - 0.625rem);
	}
	.featured-media-container figure.half + .half {
		margin-inline-start: var(--ynk--gap);
	}
    figure .fig-id,
    figure figcaption {
        display: block;
        font-size: 0.75rem;
        line-height: 1.25em;
        opacity: 0;
        position: absolute;
        z-index: 3;
        transition: opacity 500ms ease;
    }
    figure figcaption {
        font-size: 0.875rem;
        line-height: 1.25em;
        overflow: hidden;
        padding: 0 1em 0.75em;
        position: absolute;
        inset-block-end: 0;
        inset-inline-start: 0;
        text-align: left;
        text-overflow: ellipsis;
        white-space: nowrap;
        width: 100%;
    }
    figure figcaption::before {
        content: "[";
        display: inline;
    }
     figure figcaption::after {
        content: "]";
        display: inline;
    }
    figure .fig-id {
        height: 5.2em;
        line-height: 1.4em;
        padding: 1em 1.125em 0 0;
        inset-block-start: 0;
        inset-inline-end: 0;
        text-align: left;
        transform: rotate(90deg) translateX(185px) translateY(-169px) translateZ(0);
        width: 400px;
    }
    figure .fig-id,
    figure figcaption {
        color: #ffffff;
        text-shadow: 0px 0px 4px #000000;
    }
    .cover-container .fig-id,
    .has-inverted-caption .fig-id,
    .has-inverted-caption figcaption {
        color: #000000;
        text-shadow: none;
    }
    figure:hover .fig-id,
    figure:hover figcaption {
        opacity: 1;
    }
}

/* Media: Video Containers ----------------------------------- */

.video-container .wrapper {
    /* border-radius: var(--ynk--radius); */
	clear: both;
    height: 0;
    margin-block-end: 0 !important;
    overflow: hidden;
    padding-block-end: 56.25%;
	position: relative;
    clip-path: var(--ynk--polygon--start);
}
.video-container:first-child .wrapper,
.video-container:only-child .wrapper {
    clip-path: var(--ynk--polygon--start)!important;
}
.video-container:last-child .wrapper {
    clip-path: var(--ynk--polygon--end);
}
.slide:last-child .video-container .wrapper {
    clip-path: var(--ynk--polygon--end)!important;
}
.video-container .wrapper iframe {
	border: none;
    height: 100%;
	position: absolute;
	   inset-block-start: 0;
	   inset-inline-start: 0;
	width: 100%;
}

/* Media: Cover Art Containers ------------------------------- */

.cover-container {
	background-color: var(--ynk--color--tertiary);
    height: 0;
    overflow: hidden;
    padding-block-end: 56.34%;
	position: relative;
    width: 100%;
    clip-path: var(--ynk--polygon--start);
}
.cover-container img {
	box-shadow: 0px 5px 25px 0px rgba(34, 34, 34, 0.25);
	display: block;
	height: auto;
	margin-block: 3.5% 0;
	margin-inline: auto;
    max-height: 87%;
	max-width: 100%;
	position: absolute;
        inset: 0;
    width: auto;
}
.category-disc .cover-container img {
    border-radius: 50%;
}

/* Media: Carousel ------------------------------------------- */

.slider-container .slidernav-container {
    aspect-ratio: 1600 / 895;
    background: transparent;
    display: block;
    margin-block: 0 calc(1.5rem + 30px);
    margin-inline: 0;
    padding: 0;
    position: relative;
    width: 100%;
}
.slider-container .slider {
    width: 100%;
    height: 100%;
}
.slider-container .slider .slide {
    align-items: center;
    background: transparent;
    display: block;
    justify-content: center;
    margin-block: 0;
    margin-inline: 0 20px;
    min-height: 100%;
    padding: 0;
    width: 99.99%;
}
.slider-container .slider .slide {
    margin: 0;
    margin-inline-end: 20px;
}
.slider-container .slide img {
    border: 0;
    clip-path: var(--ynk--polygon);
    display: block;
    height: auto;
    margin-block: 0;
    margin-inline: auto;
    max-width: 100%;
    max-height: 100%;
    width: 100%;
    z-index: 1;
}
.slider-container .slide:first-child img {
    clip-path: var(--ynk--polygon--start)!important;
}
.slider-container .slide:last-child img {
    clip-path: var(--ynk--polygon--end)!important;
}
.slider-container .flickity-button {
    background: transparent;
    border: none;
    border-radius: none!important;
    color: var(--ynk--color--primary);
    cursor: pointer;
    height: 20px;
    inset-block-start: unset!important;
    inset-block-end: -25px;
    position: absolute;
    transform: none!important;
    transition: background 200ms;
    width: 20px;
    z-index: 20!important;
}
.slider-container .flickity-prev-next-button .flickity-button-icon {
    display: none;
}
.slider-container .flickity-button:hover {
    background: transparent;
    color: var(--ynk--color--secondary);
}
.slider-container .flickity-prev-next-button.previous {
    inset-inline-start: 0;
}
.slider-container .flickity-prev-next-button.next {
    inset-inline-end: 0;
    text-align: right;
}
.slider-container .flickity-prev-next-button.previous::before {
    content: '←';
}
.slider-container .flickity-prev-next-button.next::before {
    content: '→';
}
.slider-container .flickity-page-dots {
    inset-block-end: -20px;
    inset-inline-start: 0;
    position: absolute;
    text-align: center;
    width: 100%;
    z-index: 10;
}
.slider-container .flickity-page-dots .flickity-page-dot {
    background: var(--ynk--color--secondary);
    border-radius: 50%;
    display: inline-block;
    height: 8px;
    margin-block: 0;
    margin-inline: 3px;
    opacity: 0.5;
    transition: opacity 200ms, background 200ms;
    width: 8px;
}
.slider-container .flickity-page-dots .flickity-page-dot.is-selected {
    background: var(--ynk--color--primary);
    opacity: 1;
}

/* --------------------------------------------------------------
= 10. Templates
-------------------------------------------------------------- */

/* Template: News -------------------------------------------- */

.news-title {
	color: var(--ynk--color--secondary);
    font-weight: 400;
    line-height: 1.5em;
    margin-block-end: 0.75rem;
    width: 100%;
}
.news-title strong {
	color: var(--ynk--color--primary);
	font-weight: 500; /* was 700 */
}
@media all and (min-width: 48rem) {
    .news-title {
		color: var(--ynk--color--primary);
        margin-inline-start: 50%;
        width: 50%;
    }
}

/* Template: Text Archive ------------------------------------ */

.entry-content .text--title {
    display: inline;
    font-weight: 400;
}
.entry-content .text--type {
	color: var(--ynk--color--secondary);
}

/* Template: Single Reviews ---------------------------------- */

.reviews {
    padding-top: 1.5rem;
}
.reviews button {
	background-color: transparent;
    color: var(--ynk--color--secondary);
    cursor: pointer;
    font-weight: 400;
    transition: color 300ms ease;
}
.reviews button:hover {
	color: var(--ynk--color--primary);
}
.reviews ul {
    margin-block-end: 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 300ms;
}
.reviews ul.expanded {
    max-height: 9999px;
}
.reviews ul li {
	padding-block-end: 3em;
}
.reviews ul li:first-child p:first-child {
    margin-block-start: 1.5em;
}
.reviews ul li p:first-child {
    margin-block-end: 0!important;
}
.reviews ul li:last-child {
	padding-block-end: 0;
}

/* --------------------------------------------------------------
= 11. Entry Content
-------------------------------------------------------------- */

.entry-content-container {
    padding-block-end: calc(var(--ynk--section--gap) - var(--ynk--block--gap));
}
.entry-content {
	line-height: 1.5em;
    margin-block-end: var(--ynk--block--gap);
    position: relative;
}
.entry-content a {
	color: var(--ynk--color--primary);
	text-decoration: underline;
	text-underline-offset: 0.125em;
	transition: color 300ms ease;
}
.entry-content a:hover {
	color: var(--ynk--color--hover);
}
.entry-content p,
.entry-content > * {
	margin-block-end: var(--ynk--block--gap);
}
.single main:not(.category-interviews) .entry-content h3,
.single main:not(.category-interviews) .entry-content h4,
.single main:not(.category-interviews) .entry-content h5,
.single main:not(.category-interviews) .entry-content h6 {
    color: var(--ynk--color--secondary);
    font-weight: 400;
}
.entry-content h4,
.entry-content h5,
.entry-content h6 {
    padding-block-start: var(--ynk--block--gap);
}
.entry-content .credits:first-child h4,
.entry-content .credits:first-child h5,
.entry-content .credits:first-child h6 {
    padding-block-start: 0!important;
}
.entry-content:not(.cv) h1,
.entry-content:not(.cv) h2,
.entry-content:not(.cv) h3,
.entry-content:not(.cv) h4,
.entry-content:not(.cv) h5,
.entry-content:not(.cv) h6 p {
    margin-block-end: 0;
}
.category-interviews .entry-content h3 {
    margin-block-end: var(--ynk--block--gap);
}
.entry-content ol {
	list-style: decimal-leading-zero outside;
	margin-inline-start: 2rem;
}
.entry-content sup {
    font-size: 0.75em;
    line-height: 1;
    vertical-align: super;
}
.entry-content dl dd p, 
.entry-content dl dd li, 
.entry-content .cv-list ul li {
    margin-inline-start: 1.5rem;
    text-indent: -1.5rem;
}
.entry-content .has-text-align-center {
	text-align: center;
}
.entry-content blockquote p {
    font-style: italic;
}
.entry-content blockquote p:only-child,
.entry-content blockquote p:nth-last-child(2) {
	margin-block-end: 0;
}
.entry-content blockquote cite {
	font-style: normal;
    font-weight: 500; /* was 600 */
}
.entry-content hr.wp-block-separator {
	border-top: 1px solid var(--ynk--color--tertiary);
	border-block-end: none;
	margin-block-end: calc(var(--ynk--margin) * 2);
}
.entry-content input[type="checkbox"] {
    appearance: none;
    width: 1.25rem;
    height: 1.25rem;
    border: 2px solid var(--ynk--color--primary);
    border-radius: var(--ynk--radius);
    background-color: var(--ynk--color--background);
    cursor: pointer;
	margin-inline-end: 0.5rem;
    transition: background-color 300ms ease, border-color 300ms ease;
	vertical-align: bottom;
}
.entry-content input[type="checkbox"]:not(:checked) {
    background-color: var(--ynk--color--tertiary);
}
.entry-content input[type="checkbox"]:checked {
    background-color: var(--ynk--color--primary);
    position: relative;
}
.entry-content input[type="checkbox"]:checked::after {
    content: 'X';
    color: var(--ynk--color--background);
    font-size: 1rem;
	font-weight: 500; /* was 600 */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.entry-content .credits ul {
    list-style: none;
    margin-inline-start: 1.4rem;
}
.entry-content .credits ul li::before {
    content: "└ ";
    margin-left: -1.4rem;
    display: inline-block;
    width: 1.4rem;
}
@media ( min-width: 48rem ) {
    .yannnovak_news .entry-content {
        margin-block-start: -0.325em;
    }
    .entry-content dl dd p, 
    .entry-content dl dd ul {
        margin-block-end: 0;
    }
	.entry-content dl {
		display: grid;
		grid-template-columns: 100px 1fr;
		gap: 0;
	}
	.entry-content dt {
		grid-column: 1;
	}
	.entry-content dd {
		grid-column: 2;
	}
	.entry-content .has-small-font-size {
		font-size: 1rem; /* was 0.875rem */
        line-height: 1.5em;
	}
	.entry-content hr.wp-block-separator {
		margin-block-end: var(--ynk--block--gap);
	}
}

/* --------------------------------------------------------------
= 12. Meta + Utility
-------------------------------------------------------------- */

.entry-meta,
.entry-utility {
	line-height: 1.5em;
    margin-block-end: var(--ynk--block--gap);
}
.entry-meta a,
.entry-utility a {
	color: var(--ynk--color--primary);
	text-decoration: underline;
	text-underline-offset: 0.125em;
	transition: color 300ms ease;
}
.entry-meta a:hover,
.entry-utility a:hover {
	color: var(--ynk--color--hover);
}
.entry-meta dt,
.entry-utility dt {
    font-weight: 500; /* was 600 */
}
.entry-meta dt,
.entry-utility dt {
    color: var(--ynk--color--secondary);
    font-weight: 400;
}
.entry-utility a span {
    vertical-align: middle;
}
.entry-utility li::before {
    content: '└ ';
    display: inline;
}
@media all and (min-width: 48rem) {
    .entry-meta,
    .entry-utility {
        font-size: 1rem; /* was 0.875rem */
    }
	.entry-utility {
		margin-left: 25%;
	}
    .entry-meta dd,
    .entry-utility dd {
        margin-block-end: var(--ynk--block--gap);
    }
	.entry-meta dl dd,
	.entry-utility dl dd {
		margin-block: 0 1.125em;
		margin-inline: 0;
	}
}
@media all and (min-width: 60rem) {
	.section-title {
		margin-inline-start: 50%;
	}
	.entry-utility {
		margin-block: 0.2em 0; /* was 12.5% r */
		margin-inline: 0;
		width: 25%; /* was 12.5% */
		text-align: right;
	}
    .entry-utility li::before {
        content: '';
    }
    .entry-utility li::after {
        content: ' ┘';
        display: inline;
    }
}

/* --------------------------------------------------------------
= 13. Site Footer
-------------------------------------------------------------- */

#site-footer {
	clear: both;
	margin: 0;
	width: 100%;
}
#site-footer .inner {
    display: flex;
}
#site-footer a {
    color: var(--ynk--color--primary);
    text-decoration: none;
    transition: color 300ms ease
}
#site-footer a:hover {
    color: var(--ynk--color--hover);
}
#site-copyright,
#page-nav,
#page-id,
#back-to-top {
	line-height: var(--ynk--footer);
}
#site-copyright,
#back-to-top {
    width: 50%;
}
#page-nav,
#page-id {
    display: none;
}
#page-id {
    font-size: 0.875rem
}
@keyframes blink {
    to { opacity: 0; }
}
#page-nav span {
    vertical-align: middle;
}
#back-to-top {
	text-align: right;
}
#site-footer button {
    background: transparent;
    border: none;
    color: var(--ynk--color--primary);
    font-family: 'Barlow', 'SpaceGrotesk', sans-serif;
    text-decoration: none;
    transition: color 300ms ease
}
#site-footer button:hover {
    color: var(--ynk--color--hover);
}
@media ( min-width: 48rem ) {
    #site-copyright,
    #back-to-top,
    #page-nav,
    #page-id {
        width: 25%;
    }
    #page-nav,
    #page-id {
        display: block;
    }
}

/* --------------------------------------------------------------
= 14. Transitions
-------------------------------------------------------------- */

body main,
body footer {
	opacity: 0;
    transition: opacity 500ms ease;
}
#site-header {
    opacity: 0;
}
.fonts--loaded #site-header,
body.page--loaded main,
body.page--loaded footer {
	opacity: 1;
}
body.menu--active {
	overflow: hidden;
}
body.menu--active main {
    filter: gray;
    filter: grayscale(100%);
    -webkit-transform: translateZ(0);
            transform: translateZ(0);
}

/* --------------------------------------------------------------
= 15. Accessibility
-------------------------------------------------------------- */

.screen-reader-text {
	border: 0;
	clip: rect(1px, 1px, 1px, 1px);
	clip-path: inset(50%);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute !important;
	width: 1px;
	word-wrap: normal !important;
}
.screen-reader-text:focus {
	background-color: #f1f1f1;
	border-radius: 3px;
	box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
	clip: auto !important;
	clip-path: none;
	color: #21759b;
	display: block;
	font-size: 0.875em;
	font-weight: 700;
	height: auto;
	left: 5px;
	line-height: normal;
	padding: 15px 23px 14px;
	text-decoration: none;
	top: 5px;
	width: auto;
	z-index: 100000;
}
#primary[tabindex="-1"]:focus {
	outline: 0;
}